KDE 4.9 PyKDE API Reference

- KDE's Python API

# Notifier Class Reference

`from PyKDE4.solid import *`

Inherits: QObject
Namespace: Solid.Networking

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

This object emits signals, for use if your application requires notification of changes to networking.

## Methods

| __init__ (self)
| shouldConnect (self)
| shouldDisconnect (self)
| statusChanged (self, Solid.Networking.Status status)

## Method Documentation

__init__ | ( |  | self ) |

shouldConnect | ( |  | self ) |

Signals that the system's network has become connected, so receivers should connect their sockets, ioslaves etc.

This signal is emitted according to the active connectPolicy.

shouldDisconnect | ( |  | self ) |

Signals that the system's network has become disconnected, so receivers should adjust application state appropriately.

This signal is emitted according to the active disconnectPolicy.

statusChanged | ( | self, |
|  | Solid.Networking.Status | status
| ) |  |  |

Signals that the network status has changed

Parameters:

  | status | the new status of the network status service